创建 dataSharingConsent

命名空间:microsoft.graph

重要提示: Microsoft Graph /beta 版本下的 API 可能会更改;不支持生产使用。

注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证

创建新的 dataSharingConsent 对象。

先决条件

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) DeviceManagementServiceConfig.ReadWrite.All
委派(个人 Microsoft 帐户) 不支持。
应用程序 DeviceManagementServiceConfig.ReadWrite.All

HTTP 请求

POST /deviceManagement/dataSharingConsents

请求标头

标头
Authorization Bearer <token>。必需。
接受 application/json

请求正文

在请求正文中,提供 dataSharingConsent 对象的 JSON 表示形式。

下表显示创建 dataSharingConsent 时所需的属性。

属性 类型 说明
id String 数据共享许可 ID
serviceDisplayName String 服务显示名称流
termsUrl String 数据共享同意的 TermsUrl
granted Boolean 数据共享同意的授予状态
grantDateTime DateTimeOffset 为此帐户授予许可的时间
grantedByUpn String 授予此帐户同意的用户的 Upn
grantedByUserId String 授予此帐户同意的用户的 UserId

响应

如果成功,此方法在响应正文中返回 响应代码和 201 Created dataSharingConsent 对象。

示例

请求

下面是一个请求示例。

POST https://graph.microsoft.com/beta/deviceManagement/dataSharingConsents
Content-type: application/json
Content-length: 333

{
  "@odata.type": "#microsoft.graph.dataSharingConsent",
  "serviceDisplayName": "Service Display Name value",
  "termsUrl": "https://example.com/termsUrl/",
  "granted": true,
  "grantDateTime": "2016-12-31T23:59:55.7154191-08:00",
  "grantedByUpn": "Granted By Upn value",
  "grantedByUserId": "Granted By User Id value"
}

响应

下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。

HTTP/1.1 201 Created
Content-Type: application/json
Content-Length: 382

{
  "@odata.type": "#microsoft.graph.dataSharingConsent",
  "id": "333387f7-87f7-3333-f787-3333f7873333",
  "serviceDisplayName": "Service Display Name value",
  "termsUrl": "https://example.com/termsUrl/",
  "granted": true,
  "grantDateTime": "2016-12-31T23:59:55.7154191-08:00",
  "grantedByUpn": "Granted By Upn value",
  "grantedByUserId": "Granted By User Id value"
}